UberStudent Forums
http://uberstudent.com/phpBB/

Emacs 24.5 on UberStudent
http://uberstudent.com/phpBB/viewtopic.php?f=5&t=1155
Page 1 of 1

Author:  Andrew A [ Sun Mar 06, 2016 5:21 am ]
Post subject:  Emacs 24.5 on UberStudent

Would you advise for or against this script? Found at: https://github.com/favadi/build-emacs/b ... d-emacs.sh

Are there any red flags? Is there a way to modify it to make it safer? I exported my UberStudent virtual machine and will try running this script on it tomorrow, but was hoping to get some advice on how I might modify it, for example using checkinstall and so on.

Code:
#!/bin/bash

# Build latest version of Emacs, version management with stow
# OS: Ubuntu 14.04 LTS and newer
# version: 24.5
# Toolkit: lucid

set -eu

readonly version="24.5"

# install dependencies
sudo apt-get -qq update
sudo apt-get -qq install -y stow build-essential libx11-dev xaw3dg-dev \
     libjpeg-dev libpng12-dev libgif-dev libtiff5-dev libncurses5-dev \
     libxft-dev librsvg2-dev libmagickcore-dev libmagick++-dev \
     libxml2-dev libgpm-dev libotf-dev libm17n-dev \
     libgnutls-dev wget

# download source package
if [[ ! -d emacs-"$version" ]]; then
   wget http://ftp.gnu.org/gnu/emacs/emacs-"$version".tar.xz
   tar xvf emacs-"$version".tar.xz
fi

# build and install
sudo mkdir -p /usr/local/stow
cd emacs-"$version"
./configure \
    --with-xft \
    --with-x-toolkit=lucid

make
sudo make \
    install-arch-dep \
    install-arch-indep \
    prefix=/usr/local/stow/emacs-"$version"

cd /usr/local/stow
sudo stow emacs-"$version"

Author:  Stephen Ewen [ Sun Mar 06, 2016 5:29 am ]
Post subject:  Re: Emacs 24.5 on UberStudent

There is nothing malicious whatsoever about this script and it should do as advertised.

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/